Debian Bug report logs - #176590
squirrelmail can't handle folders with trailing spaces

version graph

Package: squirrelmail; Maintainer for squirrelmail is Jeroen van Wolffelaar <jeroen@wolffelaar.nl>; Source for squirrelmail is src:squirrelmail.

Reported by: Mark Ferlatte <ferlatte@cryptio.net>

Date: Mon, 13 Jan 2003 22:33:05 UTC

Severity: normal

Tags: upstream

Found in version 1.2.6-1.3

Fixed in version squirrelmail/1:1.5.0-1

Done: Sam Johnston <samj@aos.net.au>

Bug is archived. No further changes may be made.

Forwarded to squirrelmail-devel@lists.sourceforge.net

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Sam Johnston <samj@debian.org>, squirrelmail@packages.qa.debian.org:
Bug#176590; Package squirrelmail. Full text and rfc822 format available.

Acknowledgement sent to Mark Ferlatte <ferlatte@cryptio.net>:
New Bug report received and forwarded. Copy sent to Sam Johnston <samj@debian.org>, squirrelmail@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mark Ferlatte <ferlatte@cryptio.net>
To: submit@bugs.debian.org
Subject: squirrelmail can't handle folders with trailing spaces
Date: Mon, 13 Jan 2003 14:30:13 -0800
Package: squirrelmail
Version: 1.2.6-1.3

If you create a folder in IMAP that has a trailing space (using Mozilla,
for example), the resulting folder will appear in the Squirrelmail
folder list, but cannot be selected.  Instead, you get the following
error:

ERROR : Could not complete request.
Query:SELECT "INBOX.TrailingSpace"
Reason Given: Invalid mailbox

It appears that the trailing space on the folder name is getting lost
somewhere.

M



Tags added: upstream Request was from Sam Johnston <samj@aos.net.au> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#176590; Package squirrelmail. Full text and rfc822 format available.

Acknowledgement sent to Sam Johnston <samj@aos.net.au>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #12 received at 176590@bugs.debian.org (full text, mbox):

From: Sam Johnston <samj@aos.net.au>
To: 176590@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Bug still exists in pending 1.4.2 upload
Date: Tue, 07 Oct 2003 10:30:16 +1000
tags 176590 +upstream
thanks

I have been able to replicate the bug in the pending 1.4.2 upload but 
given there's 37 lines containing 'trim' in the imap_* functions I'd 
rather hand this on to upstream than risk breakage over a bug that 
affects users doing strange things to imap servers.

Unfortunately SF BTS is down for maintenance so it's going to have to wait.

sj




Tags added: upstream Request was from Sam Johnston <samj@aos.net.au> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#176590; Package squirrelmail. Full text and rfc822 format available.

Acknowledgement sent to Sam Johnston <samj@aos.net.au>:
Extra info received and forwarded to list. Full text and rfc822 format available.

Message #19 received at 176590@bugs.debian.org (full text, mbox):

From: Sam Johnston <samj@aos.net.au>
To: 176590@bugs.debian.org, control@bugs.debian.org
Subject: forwarded to upstream via SF BTS
Date: Tue, 07 Oct 2003 11:17:29 +1000
tags 176590 +upstream
forwarded 176590 squirrelmail-devel@lists.sourceforge.net
thanks

see SF BTS for updates:

https://sourceforge.net/tracker/?group_id=311&atid=100311&func=detail&aid=818974

sj




Tags added: upstream Request was from Sam Johnston <samj@aos.net.au> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to squirrelmail-devel@lists.sourceforge.net. Request was from Sam Johnston <samj@aos.net.au> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Sam Johnston <samj@aos.net.au>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mark Ferlatte <ferlatte@cryptio.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #28 received at 176590-close@bugs.debian.org (full text, mbox):

From: Sam Johnston <samj@aos.net.au>
To: 176590-close@bugs.debian.org
Subject: Bug#176590: fixed in squirrelmail 1:1.5.0-1
Date: Tue, 03 Feb 2004 11:32:03 -0500
Source: squirrelmail
Source-Version: 1:1.5.0-1

We believe that the bug you reported is fixed in the latest version of
squirrelmail, which is due to be installed in the Debian FTP archive:

squirrelmail_1.5.0-1.diff.gz
  to pool/main/s/squirrelmail/squirrelmail_1.5.0-1.diff.gz
squirrelmail_1.5.0-1.dsc
  to pool/main/s/squirrelmail/squirrelmail_1.5.0-1.dsc
squirrelmail_1.5.0-1_all.deb
  to pool/main/s/squirrelmail/squirrelmail_1.5.0-1_all.deb
squirrelmail_1.5.0.orig.tar.gz
  to pool/main/s/squirrelmail/squirrelmail_1.5.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 176590@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sam Johnston <samj@aos.net.au> (supplier of updated squirrelmail package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed,  4 Feb 2004 01:42:12 +1100
Source: squirrelmail
Binary: squirrelmail
Architecture: source all
Version: 1:1.5.0-1
Distribution: unstable
Urgency: low
Maintainer: Sam Johnston <samj@aos.net.au>
Changed-By: Sam Johnston <samj@aos.net.au>
Description: 
 squirrelmail - Webmail for nuts
Closes: 176590 215183 222071 228400 229282 229737
Changes: 
 squirrelmail (1:1.5.0-1) unstable; urgency=low
 .
   * New upstream release. Closes #230921.
   * RFC3501 compliance for mailbox naming (eg trailing spaces).
     Closes: #176590, #215183.
   * Adds a squirrelmail symlink in /var/www/. Closes: #229282.
   * Adds PHP safe_mode workaround to README.Debian. Closes: #222071.
   * Adds daily cron job to clean attachments directory. Closes: #228400.
   * Checks for config_default.php before copying in postinst.
     Closes: #229737.
Files: 
 cdd296cbc2c4bf51b607b4dee1ae5b79 581 web optional squirrelmail_1.5.0-1.dsc
 67d46cd5f34ec11d5707a01bfc440f71 674357 web optional squirrelmail_1.5.0.orig.tar.gz
 b76a7ab315c4942ad39243881f873533 12247 web optional squirrelmail_1.5.0-1.diff.gz
 b97bc4a0a157244b3d4dd2a189c0d35a 675382 web optional squirrelmail_1.5.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAH8fVDr1l4TwJPu8RAntrAJ9tlIgPoK3sjdfKPdQ2Mh9ad+CqtQCdEbeL
axxytRysf3+iYc5EgLderlg=
=DLEL
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:26:16 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.